Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.infocardOrganizer
Class SharedContentModel

    java.lang.Object
      org.infoml.infocardOrganizer.SharedContentModel

All Implemented Interfaces:
  java.io.Serializable

    public class SharedContentModel

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`SharedContentModel()`

Method Summary
`void` | `addAgent(Agent agent)`
`boolean` | `dateValid()`
`boolean` | `enclosingSourceValid()`
`void` | `formatDate()`
`Agent` | `getAgent1()`
`Agent` | `getAgent2()`
`Agent` | `getAgent3()`
`Agent` | `getAgent4()`
`Agent` | `getAgent5()`
`Agent` | `getAgent6()`
`java.util.Vector` | `getAgents()`
`java.lang.String` | `getContainerNamePart1()`
`java.lang.String` | `getContainerNamePart2()`
`java.util.Calendar` | `getDate()`
`int` | `getDate1()`
`int` | `getDate2()`
`int` | `getDate3()`
`java.lang.String` | `getDateRole()`
`java.lang.String` | `getEnclCntNamePart1()`
`java.lang.String` | `getEnclCntNamePart2()`
`java.lang.String` | `getEnclCorporateName()`
`java.lang.String` | `getEnclPreSepar()`
`java.lang.String` | `getEnclRole()`
`java.lang.String` | `getNickname()`
`java.lang.String` | `getPreSepar()`
`java.lang.String` | `getSublocationPart1()`
`java.lang.String` | `getSublocationPart2()`
`boolean` | `isValid()`
`void` | `printModel()`
`void` | `setAgent1(Agent agent1)`
`void` | `setAgent2(Agent agent2)`
`void` | `setAgent3(Agent agent3)`
`void` | `setAgent4(Agent agent4)`
`void` | `setAgent5(Agent agent5)`
`void` | `setAgent6(Agent agent6)`
`void` | `setContainerNamePart1(java.lang.String containerNamePart1)`
`void` | `setContainerNamePart2(java.lang.String containerNamePart2)`
`void` | `setDate()`
`void` | `setDate1(int date1)`
`void` | `setDate2(int date2)`
`void` | `setDate3(int date3)`
`void` | `setDateRole(java.lang.String dateRole)`
`void` | `setEnclCntNamePart1(java.lang.String enclCntNamePart1)`
`void` | `setEnclCntNamePart2(java.lang.String enclCntNamePart2)`
`void` | `setEnclCorporateName(java.lang.String enclCorporateName)`
`void` | `setEnclPreSepar(java.lang.String enclPreSepar)`
`void` | `setEnclRole(java.lang.String enclRole)`
`void` | `setNickname(java.lang.String nickname)`
`void` | `setPreSepar(java.lang.String preSepar)`
`void` | `setSublocationPart1(java.lang.String sublocationPart1)`
`void` | `setSublocationPart2(java.lang.String sublocationPart2)`
`boolean` | `titleValid()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedContentModel

    public SharedContentModel()

Method Detail

### formatDate

    public void formatDate()

### addAgent

    public void addAgent(Agent agent)

### getAgents

    public java.util.Vector getAgents()

### isValid

    public boolean isValid()

### dateValid

    public boolean dateValid()

### titleValid

    public boolean titleValid()

### enclosingSourceValid

    public boolean enclosingSourceValid()

### getContainerNamePart1

    public java.lang.String getContainerNamePart1()

### setContainerNamePart1

    public void setContainerNamePart1(java.lang.String containerNamePart1)

### getContainerNamePart2

    public java.lang.String getContainerNamePart2()

### setContainerNamePart2

    public void setContainerNamePart2(java.lang.String containerNamePart2)

### getDateRole

    public java.lang.String getDateRole()

### setDateRole

    public void setDateRole(java.lang.String dateRole)

### getEnclCntNamePart1

    public java.lang.String getEnclCntNamePart1()

### setEnclCntNamePart1

    public void setEnclCntNamePart1(java.lang.String enclCntNamePart1)

### getEnclCntNamePart2

    public java.lang.String getEnclCntNamePart2()

### setEnclCntNamePart2

    public void setEnclCntNamePart2(java.lang.String enclCntNamePart2)

### getEnclCorporateName

    public java.lang.String getEnclCorporateName()

### setEnclCorporateName

    public void setEnclCorporateName(java.lang.String enclCorporateName)

### getEnclPreSepar

    public java.lang.String getEnclPreSepar()

### setEnclPreSepar

    public void setEnclPreSepar(java.lang.String enclPreSepar)

### getEnclRole

    public java.lang.String getEnclRole()

### setEnclRole

    public void setEnclRole(java.lang.String enclRole)

### getNickname

    public java.lang.String getNickname()

### setNickname

    public void setNickname(java.lang.String nickname)

### getPreSepar

    public java.lang.String getPreSepar()

### setPreSepar

    public void setPreSepar(java.lang.String preSepar)

### getSublocationPart1

    public java.lang.String getSublocationPart1()

### setSublocationPart1

    public void setSublocationPart1(java.lang.String sublocationPart1)

### getSublocationPart2

    public java.lang.String getSublocationPart2()

### setSublocationPart2

    public void setSublocationPart2(java.lang.String sublocationPart2)

### getAgent1

    public Agent getAgent1()

### setAgent1

    public void setAgent1(Agent agent1)

### getAgent2

    public Agent getAgent2()

### setAgent2

    public void setAgent2(Agent agent2)

### getAgent3

    public Agent getAgent3()

### setAgent3

    public void setAgent3(Agent agent3)

### getAgent4

    public Agent getAgent4()

### setAgent4

    public void setAgent4(Agent agent4)

### getAgent5

    public Agent getAgent5()

### setAgent5

    public void setAgent5(Agent agent5)

### getAgent6

    public Agent getAgent6()

### setAgent6

    public void setAgent6(Agent agent6)

### printModel

    public void printModel()

### getDate

    public java.util.Calendar getDate()

### setDate

    public void setDate()

### getDate1

    public int getDate1()

### setDate1

    public void setDate1(int date1)

### getDate2

    public int getDate2()

### setDate2

    public void setDate2(int date2)

### getDate3

    public int getDate3()

### setDate3

    public void setDate3(int date3)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD